Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTML

    java.lang.Object
      |
      +--javax.swing.text.html.HTML

public class HTML
extends Object

Constants used in the `HTMLDocument`. These are basically tag and attribute definitions.

Nested Class Summary
`static class` | `HTML.Attribute` Typesafe enumeration representing an HTML attribute.
`static class` | `HTML.Tag` Typesafe enumeration for an HTML tag.
`static class` | `HTML.UnknownTag`

Field Summary
`static String` | `NULL_ATTRIBUTE_VALUE`

Constructor Summary
`HTML()`

Method Summary
`static HTML.Attribute[]` | `getAllAttributeKeys()` Returns the set of HTML attributes recognized.
`static HTML.Tag[]` | `getAllTags()` Returns the set of actual HTML tags that are recognized by the default HTML reader.
`static HTML.Attribute` | `getAttributeKey(String attName)` Fetches an attribute constant for a well-known attribute name (i.e.
`static int` | `getIntegerAttributeValue(AttributeSet attr, HTML.Attribute key, int def)` Fetches an integer attribute value.
`static HTML.Tag` | `getTag(String tagName)` Fetches a tag constant for a well-known tag name (i.e.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_ATTRIBUTE_VALUE

    public static final String NULL_ATTRIBUTE_VALUE

See Also:
  Constant Field Values

Constructor Detail

### HTML

    public HTML()

Method Detail

### getAllTags

    public static HTML.Tag[] getAllTags()

  Returns the set of actual HTML tags that are recognized by the default HTML reader. This set does not include tags that are manufactured by the reader.

### getTag

    public static HTML.Tag getTag(String tagName)

  Fetches a tag constant for a well-known tag name (i.e. one of the tags in the set {A, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, CAPTION, CENTER, CITE, CODE, DD, DFN, DIR, DIV, DL, DT, EM, FONT, FORM, FRAME, FRAMESET, H1, H2, H3, H4, H5, H6, HEAD, HR, HTML, I, IMG, INPUT, ISINDEX, KBD, LI, LINK, MAP, MENU, META, NOBR, NOFRAMES, OBJECT, OL, OPTION, P, PARAM, PRE, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, S, STRONG, STYLE, SUB, SUP, TABLE, TD, TEXTAREA, TH, TITLE, TR, TT, U, UL, VAR}. If the given name does not represent one of the well-known tags, then `null` will be returned.

  Parameters:
    `tagName` - the `String` name requested
  Returns:
    a tag constant corresponding to the `tagName`, or `null` if not found

### getIntegerAttributeValue

    public static int getIntegerAttributeValue(AttributeSet attr,
                                               HTML.Attribute key,
                                               int def)

  Fetches an integer attribute value. Attribute values are stored as a string, and this is a convenience method to convert to an actual integer.

  Parameters:
    `attr` - the set of attributes to use to try to fetch a value
    `key` - the key to use to fetch the value
    `def` - the default value to use if the attribute isn't defined or there is an error converting to an integer

### getAllAttributeKeys

    public static HTML.Attribute[] getAllAttributeKeys()

  Returns the set of HTML attributes recognized.

  Returns:
    the set of HTML attributes recognized

### getAttributeKey

    public static HTML.Attribute getAttributeKey(String attName)

  Fetches an attribute constant for a well-known attribute name (i.e. one of the attributes in the set {FACE, COMMENT, SIZE, COLOR, CLEAR, BACKGROUND, BGCOLOR, TEXT, LINK, VLINK, ALINK, WIDTH, HEIGHT, ALIGN, NAME, HREF, REL, REV, TITLE, TARGET, SHAPE, COORDS, ISMAP, NOHREF, ALT, ID, SRC, HSPACE, VSPACE, USEMAP, LOWSRC, CODEBASE, CODE, ARCHIVE, VALUE, VALUETYPE, TYPE, CLASS, STYLE, LANG, DIR, DECLARE, CLASSID, DATA, CODETYPE, STANDBY, BORDER, SHAPES, NOSHADE, COMPACT, START, ACTION, METHOD, ENCTYPE, CHECKED, MAXLENGTH, MULTIPLE, SELECTED, ROWS, COLS, DUMMY, CELLSPACING, CELLPADDING, VALIGN, HALIGN, NOWRAP, ROWSPAN, COLSPAN, PROMPT, HTTPEQUIV, CONTENT, LANGUAGE, VERSION, N, FRAMEBORDER, MARGINWIDTH, MARGINHEIGHT, SCROLLING, NORESIZE, MEDIA, ENDTAG}). If the given name does not represent one of the well-known attributes, then `null` will be returned.

  Parameters:
    `attName` - the `String` requested
  Returns:
    the `Attribute` corresponding to `attName`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.